summaryrefslogtreecommitdiffstats
path: root/network/bitlbee/bitlbee.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:45:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:45:47 +0200
commitdf96f88c3e6341b6fbbc2326d62fe1bfa7cc09fa (patch)
tree7e92fb6ec9da045be0fb8ff0dccab10c72f203ef /network/bitlbee/bitlbee.SlackBuild
parent1bcf53b1a60de3625a2d2b35165d78405156a377 (diff)
downloadslackbuilds-df96f88c3e6341b6fbbc2326d62fe1bfa7cc09fa.tar.gz
slackbuilds-df96f88c3e6341b6fbbc2326d62fe1bfa7cc09fa.tar.xz
network/bitlbee: Updated for version 1.0.4
Diffstat (limited to 'network/bitlbee/bitlbee.SlackBuild')
-rw-r--r--network/bitlbee/bitlbee.SlackBuild46
1 files changed, 31 insertions, 15 deletions
diff --git a/network/bitlbee/bitlbee.SlackBuild b/network/bitlbee/bitlbee.SlackBuild
index d80b7f6f07..5f3eebb3d2 100644
--- a/network/bitlbee/bitlbee.SlackBuild
+++ b/network/bitlbee/bitlbee.SlackBuild
@@ -1,16 +1,35 @@
#!/bin/sh
# SlackBuild Script for bitlbee
-# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
-set -e
+# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bitlbee
-VERSION=1.0.3
+VERSION=1.0.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -25,11 +44,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $TMP/$PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -50,34 +71,29 @@ CXXFLAGS="$SLKCFLAGS" \
--ssl=openssl
if [ -e Makefile.settings ]; then
- sed -e "s/CPU=i686/CPU=$ARCH/g" Makefile.settings > Makefile.settings.temp
- mv Makefile.settings.temp Makefile.settings
-else
- echo "No Makefile.settings found .. exiting"
- exit 1
+ sed -i "s#CPU=i686#CPU=$ARCH#" Makefile.settings
fi
make all
make install install-etc install-doc DESTDIR=$PKG
( cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/var/lib/$PRGNAM
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-
# Rewrite the documentation to replace /usr/local/ with /usr
# and /etc/init.d/inetd wih /etc/rc.d/rc.inetd
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec sed -e -i 's#/usr/local/#/usr/#' {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec sed -i 's#/usr/local/#/usr/#' {} \;
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec sed -i 's#/etc/init.d/inetd#/etc/rc.d/rc.inetd#' {} \;
mv $PKG/etc/$PRGNAM/$PRGNAM.conf $PKG/etc/$PRGNAM/$PRGNAM.conf.new